Board index FlightGear Release candidates 2.8

Linux and FG 2.8? (im very impatient)

This is the archive of topics about the 2.8 release candidates.

Linux and FG 2.8? (im very impatient)

Postby javajames » Mon Jul 09, 2012 4:02 pm

I'm a little impatient and can't wait till 2.8 official release.

I can't seem to find how to get 2.8 flight gear under ubuntu. I tried going through the install again. But using

Code: Select all
git checkout -b 2.8.0 origin/release/2.8.0
for simgear and flightgear from git but i got unresolvable repo errors.

Can anyone explain what i need to do to get the 2.8 release? It makes me pretty angry that windows and mac gets so much support and we don't even get a small mention of where to get the source code >.>. Surely FG doesn't want to be supporting microsofts vicious cycle of user capture?

Also, if anyone has done the precedure for 2.8, what other libraries do i need?
javajames
 
Posts: 8
Joined: Sun Apr 01, 2012 5:34 pm

Re: Linux and FG 2.8? (im very impatient)

Postby i4dnf » Mon Jul 09, 2012 4:23 pm

Try the Brisa script ( download-and-compile.sh or something like that), it's tailored for ubuntu. Searching the forums should bring you to it.

The errors you got are due to the fact that the release branches have not been created yet. They will be created after Juy 17th. You still need to pull simgear and flightgear from next, and fgdata from master.
i4dnf
Retired
 
Posts: 745
Joined: Wed Sep 09, 2009 7:17 am
Location: LRBS
Callsign: YR-I4D
Version: GIT
OS: Gentoo Linux ~amd64

Re: Linux and FG 2.8? (im very impatient)

Postby javajames » Mon Jul 09, 2012 4:32 pm

You still need to pull simgear and flightgear from next, and fgdata from master.


Next? Forgive me for being a repo noob but, what exactly do you mean by that? Likewise with master? Any idea how to do that?
javajames
 
Posts: 8
Joined: Sun Apr 01, 2012 5:34 pm

Re: Linux and FG 2.8? (im very impatient)

Postby islandmonkey » Mon Jul 09, 2012 4:48 pm

No, just do:

Code: Select all
bash download_and_compile.sh
User avatar
islandmonkey
 
Posts: 784
Joined: Mon Jan 30, 2012 8:51 pm
Location: EGCN (uni), EGHI (home)
Callsign: G-MNKY
Version: 2018.3
OS: Ubuntu 19.04

Re: Linux and FG 2.8? (im very impatient)

Postby Sealbhach » Mon Jul 09, 2012 4:49 pm

It's OK, Brisa's script takes care of all that. All you have to do is download it, put it in a folder somewhere, make it executable and run it. It may take a few hours, depending on your internet connection and the speed of the server.

Link: http://wiki.flightgear.org/Scripted_Com ... ian/Ubuntu

.
Sealbhach
 
Posts: 942
Joined: Wed Jun 30, 2010 9:17 am

Re: Linux and FG 2.8? (im very impatient)

Postby javajames » Mon Jul 09, 2012 5:18 pm

Ok thanks i figured out how to use branch and checkout with next from the script source!
javajames
 
Posts: 8
Joined: Sun Apr 01, 2012 5:34 pm

Re: Linux and FG 2.8? (im very impatient)

Postby Hooray » Mon Jul 09, 2012 5:46 pm

javajames wrote in Mon Jul 09, 2012 4:02 pm:Can anyone explain what i need to do to get the 2.8 release? It makes me pretty angry that windows and mac gets so much support and we don't even get a small mention of where to get the source code >.>. Surely FG doesn't want to be supporting microsofts vicious cycle of user capture?


Funny, you are the first to say that. In fact, the *nix support is much better than for Win/Mac.
You just don't seem to be familiar with git, right?
I'd suggest you take a look at the wiki, where you'll find tons of info regarding git.
Basically, you need to clone the repositories prior to being able to work with them.

http://wiki.flightgear.org/Git
Please don't send support requests by PM, instead post your questions on the forum so that all users can contribute and benefit
Thanks & all the best,
Hooray
Help write next month's newsletter !
pui2canvas | MapStructure | Canvas Development | Programming resources
Hooray
 
Posts: 11329
Joined: Tue Mar 25, 2008 8:40 am

Re: Linux and FG 2.8? (im very impatient)

Postby javajames » Mon Jul 09, 2012 6:29 pm

Hooray wrote in Mon Jul 09, 2012 5:46 pm:
javajames wrote in Mon Jul 09, 2012 4:02 pm:Can anyone explain what i need to do to get the 2.8 release? It makes me pretty angry that windows and mac gets so much support and we don't even get a small mention of where to get the source code >.>. Surely FG doesn't want to be supporting microsofts vicious cycle of user capture?


Funny, you are the first to say that. In fact, the *nix support is much better than for Win/Mac.
You just don't seem to be familiar with git, right?
I'd suggest you take a look at the wiki, where you'll find tons of info regarding git.
Basically, you need to clone the repositories prior to being able to work with them.

http://wiki.flightgear.org/Git


Thank you!
javajames
 
Posts: 8
Joined: Sun Apr 01, 2012 5:34 pm

Re: Linux and FG 2.8? (im very impatient)

Postby ThorstenB » Mon Jul 09, 2012 8:31 pm

javajames wrote in Mon Jul 09, 2012 4:02 pm:
Code: Select all
git checkout -b 2.8.0 origin/release/2.8.0
for simgear and flightgear from git but i got unresolvable repo errors.

This doesn't work yet, since the 2.8.0 release branches have not been created yet. See the release plan (http://wiki.flightgear.org/index.php/Release_plan) for the time-line. Hint: check the "Jan/July 17th" item ;-).

cheers,
Thorsten
User avatar
ThorstenB
 
Posts: 160
Joined: Fri Nov 19, 2010 9:49 am
Location: Germany
Callsign: D-TB7
Version: GIT
OS: openSUSE


Return to 2.8

Who is online

Users browsing this forum: No registered users and 1 guest